Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.register.learning.supplying
Class PeerSupplyingDataTracker

    java.lang.Object
      lbg.peer.register.learning.supplying.PeerSupplyingDataTracker

    public class PeerSupplyingDataTracker

extends java.lang.Object

A PeerSupplyingDataTracker analyzes trends in stored data for Supplying Tasks, using Ranganthan's popularity metric and Briquet's metrics, with a sliding window policy bounding the number of analyzed data.

The main purpose of a PeerSupplyingDataTracker is to predict which observed Supplying data will be needed again in the near future, so as to replicate them on the Peer Resources.

Author:
  Cyril Briquet

Constructor Summary
`PeerSupplyingDataTracker(Peer managed_peer, int capacity)` Constructs a new PeerSupplyingDataTracker.

Method Summary
`void` | `add(MetaGridData[] ds)` Add data (from a presumably Supplying Task) to be stored and analyzed.
`static void` | `main(java.lang.String[] args)` Test method.
`void` | `replicateData(java.util.Iterator<ResourceUsageData> it, int res_count)` Replicates data to target Resources, using prediction based on analysed trends.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PeerSupplyingDataTracker

    public PeerSupplyingDataTracker(Peer managed_peer,
                                    int capacity)
                             throws GridException

  Constructs a new PeerSupplyingDataTracker.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### add

    public void add(MetaGridData[] ds)
             throws GridException

  Add data (from a presumably Supplying Task) to be stored and analyzed.

  Throws:
    `GridException`

### replicateData

    public void replicateData(java.util.Iterator<ResourceUsageData> it,
                              int res_count)
                       throws GridException

  Replicates data to target Resources, using prediction based on analysed trends.

  Parameters:
    `it` - target Resources (as an Iterator over their ResourceUsageData)
    `res_count` - target Resources count
  Throws:
    `GridException` - if a parameter is illegal

### main

    public static void main(java.lang.String[] args)

  Test method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.